Package com.ocient.rest.exceptionMappers

# Class ExceptionWithStatus

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.ocient.rest.exceptionMappers.ExceptionWithStatus

All Implemented Interfaces:
  `WebStatusMapable`, `Serializable`

    public abstract class ExceptionWithStatus
    extends Exception
    implements WebStatusMapable

Base class for exceptions that have an associated HTTP status

See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ExceptionWithStatus​(String message)` | Construct a new exception with the given message
`ExceptionWithStatus​(String message, Throwable cause)` | Construct a new exception with the given message and cause

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.ocient.rest.exceptionMappers.WebStatusMapable

`getWebStatus`

## Constructor Details

### ExceptionWithStatus

public ExceptionWithStatus​(String message)
Construct a new exception with the given message

Parameters:
  `message` - The message of the exception

### ExceptionWithStatus

public ExceptionWithStatus​(String message, Throwable cause)
Construct a new exception with the given message and cause

Parameters:
  `message` - The message of the exception
  `cause` - The cause of the exception